summaryrefslogtreecommitdiff
path: root/debian/mariadb-server-10.5.preinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/mariadb-server-10.5.preinst')
-rw-r--r--debian/mariadb-server-10.5.preinst8
1 files changed, 4 insertions, 4 deletions
diff --git a/debian/mariadb-server-10.5.preinst b/debian/mariadb-server-10.5.preinst
index 947b4420ee6..0cb9c9ca027 100644
--- a/debian/mariadb-server-10.5.preinst
+++ b/debian/mariadb-server-10.5.preinst
@@ -33,14 +33,14 @@ stop_server() {
if ! pgrep -x --ns $$ mysqld > /dev/null; then return; fi
set +e
- systemctl stop mysql
+ invoke-rc.d mariadb stop
errno=$?
set -e
- # 0=ok, 100=no init script (fresh install)
+ # systemctl could emit exit code 100=no init script (fresh install)
if [ "$errno" != 0 -a "$errno" != 100 ]; then
- echo "'systemctl stop mysql' returned $errno" 1>&2
- echo "There is a MySQL server running, but we failed in our attempts to stop it." 1>&2
+ echo "Attempt to stop MariaDB/MySQL server returned exitcode $errno" 1>&2
+ echo "There is a MariaDB/MySQL server running, but we failed in our attempts to stop it." 1>&2
echo "Stop it yourself and try again!" 1>&2
db_stop
exit 1